using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Collections;

public partial class TestTinyInt : System.Web.UI.Page
{

    protected void Page_Load(object sender, EventArgs e)
    {
    }

    protected void Button2_Click(object sender, EventArgs e) 
    {
        GridGroupByExpression expression1 = new GridGroupByExpression();
        
        GridGroupByField customerGroupField = new GridGroupByField();
        customerGroupField.FieldName = "TinyIntValue";

        expression1.SelectFields.Insert(0, customerGroupField);
        expression1.GroupByFields.Insert(0, customerGroupField);

        this.RadGrid1.MasterTableView.GroupByExpressions.Add(expression1);

        this.RadGrid1.Rebind();
    }

    protected void Button3_Click(object sender, EventArgs e) 
    {
        GridGroupByExpression expression1 = new GridGroupByExpression();

        GridGroupByField customerGroupField = new GridGroupByField();
        customerGroupField.FieldName = "TestDate";

        expression1.SelectFields.Insert(0, customerGroupField);
        expression1.GroupByFields.Insert(0, customerGroupField);

        this.RadGrid1.MasterTableView.GroupByExpressions.Add(expression1);

        this.RadGrid1.Rebind();
    }
}
